SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001339SiT!searchpublic2010-06-09 16:472010-07-21 21:29
Reportersancho78rus 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.61 LTS 
Target Version3.62 LTSFixed in Version3.62 LTS 
Summary0001339: Search dont works fine with short words
DescriptionWhen i try to search short words like "vpn" or "ip" - it dont works.
also search dont work for string like "194.150" and other with "."
TagsNo tags attached.
Attached Files

- Relationships
related to 0001391closednicdev Search function does not work correctly 

-  Notes
User avatar (0003247)
ivan (administrator)
2010-06-10 10:23

I'm not sure how to search for very short words (3 chars or less) but to search for words with a . (period) see the search documentation http://sitracker.org/wiki/Search [^]
User avatar (0003248)
ivan (administrator)
2010-06-12 13:03
edited on: 2010-06-12 13:04

Fixed in svn r6505
Fixed in git 1805656

MySQL fulltext doesn't normally index words shorter than 4 characters, see the mysql system option 'ft_min_word_len'. I've added a workaround for it which uses a wildcard search for a space delimited word if the search term is 3 or less than 3 characters.

User avatar (0003334)
ivan (administrator)
2010-07-18 15:05

Released in v3.62

- Issue History
Date Modified Username Field Change
2010-06-09 16:47 sancho78rus New Issue
2010-06-10 10:23 ivan Note Added: 0003247
2010-06-12 12:56 ivan Status new => assigned
2010-06-12 12:56 ivan Assigned To => ivan
2010-06-12 12:56 ivan Target Version => 3.62 LTS
2010-06-12 13:03 ivan Note Added: 0003248
2010-06-12 13:03 ivan Status assigned => resolved
2010-06-12 13:03 ivan Fixed in Version => Current SVN
2010-06-12 13:03 ivan Resolution open => fixed
2010-06-12 13:04 ivan Note Edited: 0003248 View Revisions
2010-07-18 15:05 ivan Note Added: 0003334
2010-07-18 15:05 ivan Status resolved => closed
2010-07-21 21:29 ivan Fixed in Version Current SVN => 3.62 LTS
2010-08-31 17:18 ivan Relationship added related to 0001391


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker